=== debian/changelog ===
ros-foxy-rcl-logging-spdlog (1.1.0-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#74 <https://github.com/ros2/rcl_logging/issues/74>)
  * Allow configuring logging directory through environment variables (#70 <https://github.com/ros2/rcl_logging/issues/70>)
  * Fix build.ros2.org links (#68 <https://github.com/ros2/rcl_logging/issues/68>)
  * Update QD to QL 1 (#67 <https://github.com/ros2/rcl_logging/issues/67>)
  * Fixed backported tests on rcl_logging_spdlog
  * Add fault injection unittest to increase coverage (#49 <https://github.com/ros2/rcl_logging/issues/49>)
  * More rcl_logging_spdlog tests (#40 <https://github.com/ros2/rcl_logging/issues/40>)
  * Added benchmark test to rcl_logging_spdlog (#52 <https://github.com/ros2/rcl_logging/issues/52>)
  * Contributors: Alejandro Hernández Cordero, Scott K Logan, Simon Honigmann, Stephen Brawner, Tom Greier

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (1.0.1-1focal) focal; urgency=high

  * Include rcutils/allocator.h in logging_interface.h (#47 <https://github.com/ros2/rcl_logging/issues/47>)
  * Added Doxyfile and fixed related warnings (#42 <https://github.com/ros2/rcl_logging/issues/42>) (#46 <https://github.com/ros2/rcl_logging/issues/46>)
  * Add Security Vulnerability Policy pointing to REP-2006.
  * Rename Quality_Declaration.md -> QUALITY_DECLARATION.md
  * Contributors: Chris Lalancette, Jacob Perron, Jose Luis Rivero

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 21 Jul 2020 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (1.0.0-1focal) focal; urgency=high

  * Add some preliminary functional tests (#36 <https://github.com/ros2/rcl_logging/issues/36>)
  * warn about unused return value for set_logger_level (#38 <https://github.com/ros2/rcl_logging/issues/38>)
  * Added features to rcl_logging_spdlog (#35 <https://github.com/ros2/rcl_logging/issues/35>)
  * Added public API documentation for log4cxx and spdlog (#32 <https://github.com/ros2/rcl_logging/issues/32>)
  * Current state Quality Declaration, Contributing and Readme files (#29 <https://github.com/ros2/rcl_logging/issues/29>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jorge Perez, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.4.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#31 <https://github.com/ros2/rcl_logging/issues/31>)
  * Make spdlog an exec_depend (#27 <https://github.com/ros2/rcl_logging/issues/27>)
  * Code style only: wrap after open parenthesis if not in one line (#24 <https://github.com/ros2/rcl_logging/issues/24>)
  * Bypass spdlog singleton registry (#23 <https://github.com/ros2/rcl_logging/issues/23>)
  * Contributors: Chris Lalancette, Dirk Thomas, Ivan Santiago Paunovic

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.3.3-1focal) focal; urgency=high

  * Fix Clang warning about possible uninitialized variable (#21 <https://github.com/ros2/rcl_logging/issues/21>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.3.2-1focal) focal; urgency=high

  * spdlog is a header-only library, so the exported dep isn't needed. (#19 <https://github.com/ros2/rcl_logging/issues/19>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.3.1-1focal) focal; urgency=high

  * Implement a backend logger using spdlog. (#17 <https://github.com/ros2/rcl_logging/issues/17>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.3.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.2.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.2.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 09 Mar 2019 08:00:00 -0000

ros-foxy-rcl-logging-spdlog (0.1.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 07 Dec 2018 08:00:00 -0000
